#include <bits/stdc++.h>

using namespace std;

int c[1000005];
int r[1000005];
int kolona[1000005];
int vrsta[1000005];
int main()
{
    int N;
    cin>>N;
    int br=0;
    for(int i=0;i<N;i++){
        kolona[i]=0;
        vrsta[i]=0;
    }
    for(int i=0;i<N;i++){
        cin>>c[i];
        cin>>r[i];
        if(kolona[c[i]]==0)
            kolona[c[i]]=1;
        else{
            br++;
        }
        if(vrsta[r[i]]==0)
            vrsta[r[i]]=1;
        else{
            br++;
        }
    }
    cout<<br;
    return 0;
}